Subject: bug#64464: closed (Re: [bug#64464] [PATCH] gnu: libostree: Update to 2023.5.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 15 Sep 2023 10:36:02 +0000

Your bug report

#64464: [PATCH] gnu: libostree: Update to 2023.5.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64464: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64464
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#64464] [PATCH] gnu: libostree: Update to 2023.5.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 15 Sep 2023 11:34:38 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

kiasoc5--- via Guix-patches via <[email-masked]> writes:

> Hi Ludo,
>
> On 2023-07-17 22:28, Ludovic Courtès wrote:
>> kiasoc5 <[email-masked]> skribis:
>>
>>> * gnu/packages/package-management.scm (libostree): Update to 2023.5.
>> Hi!  This introduces new build failures according to
>> <https://qa.guix.gnu.org/issue/64464>.  Could you take a look?
>
> Currently this page is down, but I tested locally on the dependents,
> except for plasma since it's very big:
>
> Building the following 6 packages would ensure 9 dependent packages
> are rebuilt: [email-masked] [email-masked]
> [email-masked] [email-masked] [email-masked] [email-masked]
>
> Out of these, malcontent failed to build for reasons unrelated to
> libostree. I sent a patch at https://issues.guix.gnu.org/65040

The information on QA looks OK to me, so I've gone ahead and pushed this
to master as b696fb41bc0dfcb7130a5aa6d69aff2ae191c283.

Chris

Subject: [PATCH] gnu: libostree: Update to 2023.5.
From: kiasoc5 <[email-masked]>
To: [email-masked]
Cc: kiasoc5 <[email-masked]>
Date: Tue, 4 Jul 2023 14:28:56 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/package-management.scm (libostree): Update to 2023.5.
---
 gnu/packages/package-management.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/package-management.scm b/gnu/packages/package-management.scm
index e3dba508f0..e90d436823 100644
--- a/gnu/packages/package-management.scm
+++ b/gnu/packages/package-management.scm
@@ -1814,7 +1814,7 @@ (define-public msitools
 (define-public libostree
   (package
     (name "libostree")
-    (version "2022.7")
+    (version "2023.5")
     (source
      (origin
        (method url-fetch)
@@ -1822,7 +1822,7 @@ (define-public libostree
              "https://github.com/ostreedev/ostree/releases/download/v"
              (version-major+minor version) "/libostree-" version ".tar.xz"))
        (sha256
-        (base32 "07s14awf9ynlp84s08dkbwj9i18g93y0yf0k87nbks4l3hkakqlb"))))
+        (base32 "056v7bz40dx8k2j2pfypc4shl6ijzvx1gy8r0kaw66py67xklndw"))))
     (build-system gnu-build-system)
     (arguments
      '(#:phases

base-commit: 3b630604d1f6325444509b5badd6cee15b3ce1b4
-- 
2.41.0